summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-11-11 18:24:03 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-11-11 18:24:03 +0000
commit0f69dae335f63d2970a7f293ecd69f103597b6aa (patch)
tree0b4c8f0d3eec6ebd18218b51cd369bcc70f4fc98 /dev-python
parent21a897626e3032d901c818087742a05d58b7a6ba (diff)
downloadbaldeagleos-repo-0f69dae335f63d2970a7f293ecd69f103597b6aa.tar.gz
baldeagleos-repo-0f69dae335f63d2970a7f293ecd69f103597b6aa.tar.xz
baldeagleos-repo-0f69dae335f63d2970a7f293ecd69f103597b6aa.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/Frozen-Flask/Frozen-Flask-1.0.0.ebuild32
-rw-r--r--dev-python/Frozen-Flask/Manifest1
-rw-r--r--dev-python/Frozen-Flask/files/Frozen-Flask-1.0.0-test-install.patch26
-rw-r--r--dev-python/boto3/Manifest1
-rw-r--r--dev-python/boto3/boto3-1.28.84.ebuild67
-rw-r--r--dev-python/botocore/Manifest1
-rw-r--r--dev-python/botocore/botocore-1.31.84.ebuild68
-rw-r--r--dev-python/clang-python/Manifest5
-rw-r--r--dev-python/clang-python/clang-python-17.0.3.ebuild54
-rw-r--r--dev-python/clang-python/clang-python-18.0.0_pre20231013.ebuild53
-rw-r--r--dev-python/clang-python/clang-python-18.0.0_pre20231019.ebuild53
-rw-r--r--dev-python/clang-python/clang-python-18.0.0_pre20231025.ebuild53
-rw-r--r--dev-python/dask/Manifest1
-rw-r--r--dev-python/dask/dask-2023.11.0.ebuild89
-rw-r--r--dev-python/lit/Manifest5
-rw-r--r--dev-python/lit/lit-17.0.3.ebuild42
-rw-r--r--dev-python/lit/lit-18.0.0.9999.ebuild4
-rw-r--r--dev-python/lit/lit-18.0.0_pre20231013.ebuild41
-rw-r--r--dev-python/lit/lit-18.0.0_pre20231019.ebuild41
-rw-r--r--dev-python/lit/lit-18.0.0_pre20231025.ebuild41
-rw-r--r--dev-python/mypy/Manifest1
-rw-r--r--dev-python/mypy/mypy-1.7.0.ebuild104
-rw-r--r--dev-python/pandas/Manifest1
-rw-r--r--dev-python/pandas/pandas-2.1.3.ebuild216
-rw-r--r--dev-python/pymdown-extensions/Manifest1
-rw-r--r--dev-python/pymdown-extensions/pymdown-extensions-10.4.ebuild32
-rw-r--r--dev-python/pypy/Manifest4
-rw-r--r--dev-python/pypy/pypy-7.3.13.ebuild (renamed from dev-python/pypy/pypy-7.3.11.ebuild)2
-rw-r--r--dev-python/qdarkstyle/Manifest2
-rw-r--r--dev-python/qdarkstyle/qdarkstyle-3.2.1.ebuild (renamed from dev-python/qdarkstyle/qdarkstyle-3.2.ebuild)2
-rw-r--r--dev-python/qtawesome/qtawesome-1.2.3-r1.ebuild (renamed from dev-python/qtawesome/qtawesome-1.2.3.ebuild)13
-rw-r--r--dev-python/sphinx-autodoc-typehints/Manifest1
-rw-r--r--dev-python/sphinx-autodoc-typehints/sphinx-autodoc-typehints-1.25.2.ebuild39
-rw-r--r--dev-python/spyder/spyder-5.5.0.ebuild2
-rw-r--r--dev-python/sqlglot/Manifest1
-rw-r--r--dev-python/sqlglot/sqlglot-19.3.1.ebuild36
-rw-r--r--dev-python/textX/Manifest1
-rw-r--r--dev-python/textX/files/textX-4.0.0-flit.patch125
-rw-r--r--dev-python/textX/textX-4.0.0.ebuild63
-rw-r--r--dev-python/trimesh/Manifest1
-rw-r--r--dev-python/trimesh/trimesh-4.0.4.ebuild61
41 files changed, 988 insertions, 398 deletions
diff --git a/dev-python/Frozen-Flask/Frozen-Flask-1.0.0.ebuild b/dev-python/Frozen-Flask/Frozen-Flask-1.0.0.ebuild
new file mode 100644
index 000000000000..1bf7181d2df2
--- /dev/null
+++ b/dev-python/Frozen-Flask/Frozen-Flask-1.0.0.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{8,9,10,11,12} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Freezes a Flask application into a set of static files"
+HOMEPAGE="
+ https://github.com/Frozen-Flask/Frozen-Flask/
+ https://pypi.org/project/Frozen-Flask/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ >=dev-python/flask-2.0.0[${PYTHON_USEDEP}]
+"
+
+distutils_enable_sphinx docs \
+ dev-python/flask-sphinx-themes
+distutils_enable_tests pytest
+
+PATCHES=(
+ # https://github.com/Frozen-Flask/Frozen-Flask/commit/d3ef9a7315c1742b1d86c32444f5f07e50fa5fbf
+ "${FILESDIR}/${P}-test-install.patch"
+)
diff --git a/dev-python/Frozen-Flask/Manifest b/dev-python/Frozen-Flask/Manifest
index c58d5b858a48..3605194ba815 100644
--- a/dev-python/Frozen-Flask/Manifest
+++ b/dev-python/Frozen-Flask/Manifest
@@ -1 +1,2 @@
DIST Frozen-Flask-0.18.tar.gz 179245 BLAKE2B a82695892aef9b6b4e3aeb91f12f78d7d661f2f2b0efc57c11f64524ed467b85d8d9e0e7b147cb78c3d0a641dfef0f683e0f77cfda560aada79e1b435424c0ce SHA512 6c2e4d900547cc5c0de4af23b96c5b9e1925101fb40f710bedc67ac52c303282aa223f6972f5b9cc813878bb15eb90cb0a007619dd5a9db2dec762f04dcc7ba0
+DIST frozen_flask-1.0.0.tar.gz 101425 BLAKE2B a515c8ca700d166b9c11d2fa8d80634d7ba5581716888fc52db02292cdafbbf8e3b914a4e724b3e61464f83a8c921c9f380d6198ea264bce2dfb5991ea9f1cd7 SHA512 90ee0cbb02e563ac047d7acf7d1e17f4f0797d10d472b1dbc08345c130d79eda8e0aca7ec5b3a5dd7f839f0001ca24b189df118ccb2632ecbeba894b16df5e07
diff --git a/dev-python/Frozen-Flask/files/Frozen-Flask-1.0.0-test-install.patch b/dev-python/Frozen-Flask/files/Frozen-Flask-1.0.0-test-install.patch
new file mode 100644
index 000000000000..3e7dd97c6450
--- /dev/null
+++ b/dev-python/Frozen-Flask/files/Frozen-Flask-1.0.0-test-install.patch
@@ -0,0 +1,26 @@
+From d3ef9a7315c1742b1d86c32444f5f07e50fa5fbf Mon Sep 17 00:00:00 2001
+From: =?UTF-8?q?Micha=C5=82=20G=C3=B3rny?= <mgorny@gentoo.org>
+Date: Fri, 10 Nov 2023 21:15:46 +0100
+Subject: [PATCH] Fix `pyproject.toml` not to install tests as top-level
+ package
+
+Fix the `pyproject.toml` configuration not to install e.g.:
+
+ /usr/lib/python3.11/site-packages/tests
+---
+ pyproject.toml | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/pyproject.toml b/pyproject.toml
+index aa8b90a..2fdfefc 100644
+--- a/pyproject.toml
++++ b/pyproject.toml
+@@ -52,7 +52,7 @@ path = 'flask_frozen/__init__.py'
+ exclude = ['.*']
+
+ [tool.hatch.build.targets.wheel]
+-exclude = ['docs']
++exclude = ['docs', 'tests']
+
+ [tool.hatch.envs.doc]
+ features = ['doc']
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index 4482bacf651c..66147a00e5b0 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -6,3 +6,4 @@ DIST boto3-1.28.79.gh.tar.gz 724864 BLAKE2B b6327a3dfd0095078668c85fb539885cdbc8
DIST boto3-1.28.80.gh.tar.gz 725109 BLAKE2B ba34c01f64817f437a2cf85f3de3672c01edbe2a4aa5f7dec3bcc0e0c78c6c3f1932e630e936d8f515e3293635f5935490905ed7847667d082a77645915344fd SHA512 83bc9f9c9880b7fc847fc95d202c2ffbfde32e06deeed787f86e76b0ccae9c44585f95ec193afb80d16d257f508334fdd048b8eefef9ebff5505de521e8c7288
DIST boto3-1.28.82.gh.tar.gz 726369 BLAKE2B 757445a7af86182d6bd3143bbf576e24a1a4608929bafb641ed678d444364d2948d07ebc0ef434a53a0349a8a286dc818d757ee3c59545f8550ff39dcd745147 SHA512 ccfd72a6988565c884232a64ee33e01cf54a03e8f0f77990cc5bf633e60b92cad7562d1603726488e723813671e8931b1386ef06069074fea0611728aea06f96
DIST boto3-1.28.83.gh.tar.gz 727298 BLAKE2B 3a3130cad3db6a3ec02bdf35b33c8983f385bdd835d34eaf2fb5aca3b6d31dc6324e41faf81aba4c475464c4dcffc1ad2f5b5859587e294b4f222efcb3f68c24 SHA512 98521afdc3b9a8f6b742f3c84591aeae0efef50b80f4577594ff78d270db28a610ee5db3f9c5da056ac291decec7746a12af592d44208e9b899ad94c74f765de
+DIST boto3-1.28.84.gh.tar.gz 728124 BLAKE2B 2fcc553a4a109b0bc92cdf0b08fe77fcef54792ee606b6b9ed7cde1ae92accabb9f9ce005d9ccd391601efac31eec407345471542c5b7298689ab1037ed8f41f SHA512 1b7f1fe951a9f3655a71bd51e9328f4474f9b320df82914b9ad0d64a32043aacf16fc5df1989304fd4d35430ddf6f58d0676fdb3985944d955c169a0ec58ce7b
diff --git a/dev-python/boto3/boto3-1.28.84.ebuild b/dev-python/boto3/boto3-1.28.84.ebuild
new file mode 100644
index 000000000000..09d8c6679458
--- /dev/null
+++ b/dev-python/boto3/boto3-1.28.84.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="
+ https://github.com/boto/boto3/
+ https://pypi.org/project/boto3/
+"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/boto3"
+ inherit git-r3
+ BOTOCORE_PV=${PV}
+else
+ SRC_URI="
+ https://github.com/boto/boto3/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ "
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+ # botocore is x.(y+3).z
+ BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 3)).$(ver_cut 3-)"
+fi
+
+RDEPEND="
+ >=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.7.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest tests/{functional,unit}
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index 96b595e0babe..6173784f55be 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -6,3 +6,4 @@ DIST botocore-1.31.79.gh.tar.gz 12039146 BLAKE2B 9c4c8609e75e1d95130fc4919bba318
DIST botocore-1.31.80.gh.tar.gz 12043936 BLAKE2B 447c88e82f9e73fd683045c0e05e1f2d601446dddb2731b3e461b8ddb991ca045cd0489b0d0174d3b2b3301d984eb8af7ddd93a6e1bfcd9fc0fe68adfe4cc4ec SHA512 7bea745675fc09fe2a858fbda0df93dbf2d1c1d933afbef1625788b11c2b032e794b52d9da6e864ac350b6b1fc92c77f3d7c3749168ba1836ad21bb57de3cabb
DIST botocore-1.31.82.gh.tar.gz 12051646 BLAKE2B e474bab929f7b16b37f71e261230014585c10cf30d36f2b241e6aae4845356e373db811de9158e1e074568e02d481bb83bf7f5aaaeece4bd196d49443574b3f1 SHA512 ecfa4dc060ee961def1cec0ab55739673fa04fda0a3154ea609526928eb16811a7cbc8d3d15b33aaa8c1a1606943f07935d9df06619517117e9392cbac6eeaf8
DIST botocore-1.31.83.gh.tar.gz 12061713 BLAKE2B c5abfed142c9dbf8f717c392d0405b202e8d1935ad98dfdd6fe452b564904ca1c61a3481814b0db87ab0e2a129f6fde8299655a02a1f2c5c23aa25d4f352892b SHA512 88cd3fe95cdbacc65e51abaaf08bef460e8b981d9cd1a74c52d6ff46fe297874466212ec35af54b4c57d45c43f22d9d0873dd2ee470c4a6f6c1d02ea0032ff4d
+DIST botocore-1.31.84.gh.tar.gz 12065719 BLAKE2B 2098241de47aa1f59c45287c2be66fa3562c2e549da081b1cd86626f1df5f3f175eebea1197396f39045aaebda241d37b1d47ebb378a0fb17e43c16215f89680 SHA512 097a25b4450513cf9c2722d7582cdfb969da8c083c05603f6a28eb65d1d69920106c745cb4f5e5b3bee1989eee64c89fe69c379f01df938edf2a92946c614cdf
diff --git a/dev-python/botocore/botocore-1.31.84.ebuild b/dev-python/botocore/botocore-1.31.84.ebuild
new file mode 100644
index 000000000000..9a0240c45f2a
--- /dev/null
+++ b/dev-python/botocore/botocore-1.31.84.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="
+ https://github.com/boto/botocore/
+ https://pypi.org/project/botocore/
+"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/botocore"
+ inherit git-r3
+else
+ SRC_URI="
+ https://github.com/boto/botocore/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ "
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+fi
+
+RDEPEND="
+ dev-python/six[${PYTHON_USEDEP}]
+ <dev-python/jmespath-2[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+
+ # unbundle deps
+ rm -r botocore/vendored || die
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # rely on bundled six
+ tests/functional/test_six_imports.py::test_no_bare_six_imports
+ tests/functional/test_six_threading.py::test_six_thread_safety
+ )
+
+ local -x EPYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest tests/{functional,unit}
+}
diff --git a/dev-python/clang-python/Manifest b/dev-python/clang-python/Manifest
index 8a547e85b6d5..db6bc21c0cb1 100644
--- a/dev-python/clang-python/Manifest
+++ b/dev-python/clang-python/Manifest
@@ -4,11 +4,6 @@ DIST llvm-project-15.0.7.src.tar.xz 110936452 BLAKE2B f3d277e2029157329e5be78b78
DIST llvm-project-15.0.7.src.tar.xz.sig 566 BLAKE2B 47dc8c82d86237b80c6d85f83a6c9a6e9e174cf8e7f367b071e0cd9481d7cd408e991337c5624e07f3f370f26387c814f212808575ed1c1b58404d3e3836b7df SHA512 fc6891b440dd1175eb8df3790590af8d36bc92301660f84744ae15123475aeb900a151e6a8e7998ded27ec4d86871903ad0b89cd61164943054c2e3bc8d8beb2
DIST llvm-project-16.0.6.src.tar.xz 118013488 BLAKE2B 95192d39cbd2914e5609db365965f1c00bfea6c2d653b3996bd2acef8a2b37e37f6fc8a9d2b65711ad72657e0ef52c42f733053cf65051e7822f27396c30406d SHA512 89a67ebfbbc764cc456e8825ecfa90707741f8835b1b2adffae0b227ab1fe5ca9cce75b0efaffc9ca8431cae528dc54fd838867a56a2b645344d9e82d19ab1b7
DIST llvm-project-16.0.6.src.tar.xz.sig 566 BLAKE2B 2060cebd5ed57cb8a86a44238c43dfd4b921649298b10c3d19da308374c1e49869174294e29943c2af459fe06428264e26881d6c1288ebbc48686cc2cf467c7a SHA512 ca249262c7102e0889ec1bdc6f71a3a6f0e7e5d5fbab8abcd6fccd2871e7955eff7af5b055a76006097baf0dfaf2f5069eff3035b3107fc552abdb2481b21447
-DIST llvm-project-17.0.3.src.tar.xz 127843636 BLAKE2B 5331d9b545faab282a4caec9ee688d0f1e0615a56a26aa24d8f6fbbae10258e132d94634dab2f7bd69ada06bb28dc899730b9cd774a1086d7c03d5706de6d997 SHA512 44f37dea494a66a83c252e28d7d0517c3b2eed5b196565432dc663c7914bd66d665c8d13479e2776a14cac1905faf6972f986176722c053b58528570a6e68316
-DIST llvm-project-17.0.3.src.tar.xz.sig 438 BLAKE2B 045e7ca82c8d9b3f182e4fa331ec841b24777ac1888f10de435a389ae3a88172e0559a3fca0c2d37cc874464411ae50d7bc0d0829455149a8de8b953ef6c98c7 SHA512 95f9e6729074cfd71b0ffb21e423cd0fd87763268c24e0513f7afd6a85d08061658c44c03ea3ea3b6e3cc7051676d44c41a791e6905c8abb456d48a3762fc152
DIST llvm-project-17.0.4.src.tar.xz 127828636 BLAKE2B bd91ef7f07e085b935500b056f75ab792d13e7f33825df36e85e7988f313a4f3fbb1b4c854615a5e437a97ad552838eb1be5098194f281ba1279330156dd6a38 SHA512 6703eede8013e7e5733fbd7b527757166d5698f52e239522fb320717430c88696309038501d22fe384b016b330bd92126a2c0ba88b0258c3f092801e3800b7a3
DIST llvm-project-17.0.4.src.tar.xz.sig 438 BLAKE2B e417c14d0af8c2f13eccec7a42d0e4d5a6a834d7a3d31061b9f56f7e880cd982c2b1e84322bcf8f6a3d3167519c31f16c7acb8fc725ab5b453f467a196ca2688 SHA512 4e79bb1d2b41289c092d4ec2759d7cfd4f12df8d107f9510aa9e2354691e7f878e3929b2b50e29fd6c65bd5a3aa13baf6b791847c1cd99817adbf59700cf2bdd
-DIST llvm-project-5d35273a32d239b7407338e13ed71b59174d6536.tar.gz 198787569 BLAKE2B 7f4f1eb490028e18826a6ebade649a682e433252ceab1f3dcd9e50c34f24e7ef108c3325ec209a4d4fa1ded8e09ebda4980cb9d8ddce8a0d517923d6c38b8f4a SHA512 4d263561fb12cc07a5e8f7ed2f8f22a3645aa959cf963a6a735a9bb93cfc2a51bf7e4d36b54e8425725029cfcfd868dfcc53af95d26d84be72be124d8c564271
DIST llvm-project-83888a5404d46667647fe36d6fa510d075ed57ea.tar.gz 200867834 BLAKE2B 20f5afa071089852abfdcc316e5db77681afe0fdb189a515d7724a0abaf1c545f37ba4b946414c7b8afca62636107bd4e1c7c99d8ba6a514bb413b13f5f634b0 SHA512 4cd7680a227388382076d5735a97a379546f5bdde33272a5a3d317d98c2847e34917dd38a3cfb3f1f677f6d9a9b2163b29f89dd9c4b92506f5be34a3072e0509
-DIST llvm-project-a7700985577694d6cc2498833f27b4fb5eeaf252.tar.gz 199221825 BLAKE2B 047ab7c0e80e1dbbe61ebd9aaae17166665a33b5cb50beec6da2cc19bec9a16777b82c157e74f88b0678d843b200f292d696a964211a8e532f128491dc39a6e4 SHA512 b747210d53402ae01238fa82195fa5c1c8d1c832d976bcc996ef657ac54dacb2fb19521c6f080151e6b1af8a49ddfe58979afaa00b3f1f72dc664ac79b99a8bb
-DIST llvm-project-e6e90840708099425b7b69dd053634ff25d4907f.tar.gz 199022115 BLAKE2B 442aff8f561f7c5834a36b7eb217fd2b984e58af9cbcf3e6495305f386a7651e73345bbe65133af4bffaf8cb209cfb9a94fb28756ffaaaae8f7d28ec253ccb78 SHA512 fa9c180f36f4c782208ae7baff1683ee466c70f7d021b21b9cb8a8fd0f2005c0b47889d8bb37f5fb984f6b2ec26c74df60490c7b51ac3d080830e6844e33e300
diff --git a/dev-python/clang-python/clang-python-17.0.3.ebuild b/dev-python/clang-python/clang-python-17.0.3.ebuild
deleted file mode 100644
index 6e97c422c39e..000000000000
--- a/dev-python/clang-python/clang-python-17.0.3.ebuild
+++ /dev/null
@@ -1,54 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{8,9,10,11,12} )
-inherit llvm.org python-r1
-
-DESCRIPTION="Python bindings for sys-devel/clang"
-HOMEPAGE="https://llvm.org/"
-
-LICENSE="Apache-2.0-with-LLVM-exceptions UoI-NCSA"
-SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~x86"
-IUSE="test"
-RESTRICT="!test? ( test )"
-REQUIRED_USE="${PYTHON_REQUIRED_USE}"
-
-# The module is opening libclang.so directly, and doing some blasphemy
-# on top of it.
-DEPEND="
- >=sys-devel/clang-${PV}:*
- !sys-devel/llvm:0[clang(-),python(-)]
- !sys-devel/clang:0[python(-)]
-"
-RDEPEND="
- ${DEPEND}
- ${PYTHON_DEPS}
-"
-BDEPEND="
- ${PYTHON_DEPS}
- test? (
- sys-devel/clang:${LLVM_MAJOR}
- )
-"
-
-LLVM_COMPONENTS=( clang/bindings/python )
-llvm.org_set_globals
-
-python_test() {
- # tests rely on results from a specific clang version, so override
- # the search path
- local -x CLANG_LIBRARY_PATH=${BROOT}/usr/lib/llvm/${LLVM_MAJOR}/$(get_libdir)
- local -x CLANG_NO_DEFAULT_CONFIG=1
- "${EPYTHON}" -m unittest discover -v || die "Tests fail with ${EPYTHON}"
-}
-
-src_test() {
- python_foreach_impl python_test
-}
-
-src_install() {
- python_foreach_impl python_domodule clang
-}
diff --git a/dev-python/clang-python/clang-python-18.0.0_pre20231013.ebuild b/dev-python/clang-python/clang-python-18.0.0_pre20231013.ebuild
deleted file mode 100644
index e99a4396b062..000000000000
--- a/dev-python/clang-python/clang-python-18.0.0_pre20231013.ebuild
+++ /dev/null
@@ -1,53 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{8,9,10,11,12} )
-inherit llvm.org python-r1
-
-DESCRIPTION="Python bindings for sys-devel/clang"
-HOMEPAGE="https://llvm.org/"
-
-LICENSE="Apache-2.0-with-LLVM-exceptions UoI-NCSA"
-SLOT="0"
-IUSE="test"
-RESTRICT="!test? ( test )"
-REQUIRED_USE="${PYTHON_REQUIRED_USE}"
-
-# The module is opening libclang.so directly, and doing some blasphemy
-# on top of it.
-DEPEND="
- >=sys-devel/clang-${PV}:*
- !sys-devel/llvm:0[clang(-),python(-)]
- !sys-devel/clang:0[python(-)]
-"
-RDEPEND="
- ${DEPEND}
- ${PYTHON_DEPS}
-"
-BDEPEND="
- ${PYTHON_DEPS}
- test? (
- sys-devel/clang:${LLVM_MAJOR}
- )
-"
-
-LLVM_COMPONENTS=( clang/bindings/python )
-llvm.org_set_globals
-
-python_test() {
- # tests rely on results from a specific clang version, so override
- # the search path
- local -x CLANG_LIBRARY_PATH=${BROOT}/usr/lib/llvm/${LLVM_MAJOR}/$(get_libdir)
- local -x CLANG_NO_DEFAULT_CONFIG=1
- "${EPYTHON}" -m unittest discover -v || die "Tests fail with ${EPYTHON}"
-}
-
-src_test() {
- python_foreach_impl python_test
-}
-
-src_install() {
- python_foreach_impl python_domodule clang
-}
diff --git a/dev-python/clang-python/clang-python-18.0.0_pre20231019.ebuild b/dev-python/clang-python/clang-python-18.0.0_pre20231019.ebuild
deleted file mode 100644
index e99a4396b062..000000000000
--- a/dev-python/clang-python/clang-python-18.0.0_pre20231019.ebuild
+++ /dev/null
@@ -1,53 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{8,9,10,11,12} )
-inherit llvm.org python-r1
-
-DESCRIPTION="Python bindings for sys-devel/clang"
-HOMEPAGE="https://llvm.org/"
-
-LICENSE="Apache-2.0-with-LLVM-exceptions UoI-NCSA"
-SLOT="0"
-IUSE="test"
-RESTRICT="!test? ( test )"
-REQUIRED_USE="${PYTHON_REQUIRED_USE}"
-
-# The module is opening libclang.so directly, and doing some blasphemy
-# on top of it.
-DEPEND="
- >=sys-devel/clang-${PV}:*
- !sys-devel/llvm:0[clang(-),python(-)]
- !sys-devel/clang:0[python(-)]
-"
-RDEPEND="
- ${DEPEND}
- ${PYTHON_DEPS}
-"
-BDEPEND="
- ${PYTHON_DEPS}
- test? (
- sys-devel/clang:${LLVM_MAJOR}
- )
-"
-
-LLVM_COMPONENTS=( clang/bindings/python )
-llvm.org_set_globals
-
-python_test() {
- # tests rely on results from a specific clang version, so override
- # the search path
- local -x CLANG_LIBRARY_PATH=${BROOT}/usr/lib/llvm/${LLVM_MAJOR}/$(get_libdir)
- local -x CLANG_NO_DEFAULT_CONFIG=1
- "${EPYTHON}" -m unittest discover -v || die "Tests fail with ${EPYTHON}"
-}
-
-src_test() {
- python_foreach_impl python_test
-}
-
-src_install() {
- python_foreach_impl python_domodule clang
-}
diff --git a/dev-python/clang-python/clang-python-18.0.0_pre20231025.ebuild b/dev-python/clang-python/clang-python-18.0.0_pre20231025.ebuild
deleted file mode 100644
index e99a4396b062..000000000000
--- a/dev-python/clang-python/clang-python-18.0.0_pre20231025.ebuild
+++ /dev/null
@@ -1,53 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{8,9,10,11,12} )
-inherit llvm.org python-r1
-
-DESCRIPTION="Python bindings for sys-devel/clang"
-HOMEPAGE="https://llvm.org/"
-
-LICENSE="Apache-2.0-with-LLVM-exceptions UoI-NCSA"
-SLOT="0"
-IUSE="test"
-RESTRICT="!test? ( test )"
-REQUIRED_USE="${PYTHON_REQUIRED_USE}"
-
-# The module is opening libclang.so directly, and doing some blasphemy
-# on top of it.
-DEPEND="
- >=sys-devel/clang-${PV}:*
- !sys-devel/llvm:0[clang(-),python(-)]
- !sys-devel/clang:0[python(-)]
-"
-RDEPEND="
- ${DEPEND}
- ${PYTHON_DEPS}
-"
-BDEPEND="
- ${PYTHON_DEPS}
- test? (
- sys-devel/clang:${LLVM_MAJOR}
- )
-"
-
-LLVM_COMPONENTS=( clang/bindings/python )
-llvm.org_set_globals
-
-python_test() {
- # tests rely on results from a specific clang version, so override
- # the search path
- local -x CLANG_LIBRARY_PATH=${BROOT}/usr/lib/llvm/${LLVM_MAJOR}/$(get_libdir)
- local -x CLANG_NO_DEFAULT_CONFIG=1
- "${EPYTHON}" -m unittest discover -v || die "Tests fail with ${EPYTHON}"
-}
-
-src_test() {
- python_foreach_impl python_test
-}
-
-src_install() {
- python_foreach_impl python_domodule clang
-}
diff --git a/dev-python/dask/Manifest b/dev-python/dask/Manifest
index 276fc352e7dd..b63090193f7c 100644
--- a/dev-python/dask/Manifest
+++ b/dev-python/dask/Manifest
@@ -1,3 +1,4 @@
DIST dask-2023.10.0.gh.tar.gz 8552850 BLAKE2B 407293d4f9eb385fc244d851c71fadfe3225af7953d59f5c9a2b7f3be6ee690557c6dad828fb64f444daa14c7a7db76b3a251169c01fa0b244784c1f5177bfdc SHA512 b4006414bd8e62c443729c49c1160fe002b93703b8f2f39708e6256d0013df02a72250edd5e038abd3760a704cce5349fb8cbcd76528c6b3f24b22161be20430
DIST dask-2023.10.1.gh.tar.gz 8557525 BLAKE2B 7516285ec942ff8daf2cb964bbb25716f60a71715ce64d40d069d25a0522a761d83d3577baf2779a9228213ea30a799c58579f5f107e82b72b863d21df84274f SHA512 bf8e23d2d1d1057941b1c50a286d51d1dc83937973c57e7af6e6e66efbf29a3c87422d6ab3b2443e264a7a40c88bdad974e71534330d7939087fbb8afed1fa45
+DIST dask-2023.11.0.gh.tar.gz 8559592 BLAKE2B 3d9e2d049c4ef3a880caef56298dfe76033a79d60424554f9122e68354bd2be2c6c0aae3b833c84d5704c45167b050c65227a0b799a5131600a1417a09bd4d1f SHA512 1ebac9c9fb158682dc5063710fd11ccbe0f584cea26afad4b3fe01001f3f7d6888ddbb7653cfdaf2da4ca7acb2b88bc7b1d8b4055790e7036b419ae995346e8f
DIST dask-2023.9.3.gh.tar.gz 8544054 BLAKE2B 4b1fc7d3b6f91fd6db0836a0fede0304e9c5e04e2aacd573eb06cf96ddf67ecbb198a185076ff94ca34216732673113e7e268482992b781777b3757d43a11773 SHA512 d91840f8a339ff0a21734726b1674c4dbc1332270fb160e01fd342b1ce1ba2fd5cea34c501c7a61e6b34e121da937701932a93ab85dc85618f5b5fc52cd960cd
diff --git a/dev-python/dask/dask-2023.11.0.ebuild b/dev-python/dask/dask-2023.11.0.ebuild
new file mode 100644
index 000000000000..d92e43f08c41
--- /dev/null
+++ b/dev-python/dask/dask-2023.11.0.ebuild
@@ -0,0 +1,89 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="Task scheduling and blocked algorithms for parallel processing"
+HOMEPAGE="
+ https://www.dask.org/
+ https://github.com/dask/dask/
+ https://pypi.org/project/dask/
+"
+SRC_URI="
+ https://github.com/dask/dask/archive/${PV}.tar.gz -> ${P}.gh.tar.gz
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ >=dev-python/click-8.1[${PYTHON_USEDEP}]
+ >=dev-python/cloudpickle-1.5.0[${PYTHON_USEDEP}]
+ >=dev-python/fsspec-2021.9.0[${PYTHON_USEDEP}]
+ >=dev-python/importlib-metadata-4.13.0[${PYTHON_USEDEP}]
+ >=dev-python/numpy-1.21[${PYTHON_USEDEP}]
+ >=dev-python/pandas-1.3[${PYTHON_USEDEP}]
+ >=dev-python/packaging-20.0[${PYTHON_USEDEP}]
+ >=dev-python/partd-1.2.0[${PYTHON_USEDEP}]
+ dev-python/psutil[${PYTHON_USEDEP}]
+ >=dev-python/pyyaml-5.3.1[${PYTHON_USEDEP}]
+ >=dev-python/toolz-0.10.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/toolz[${PYTHON_USEDEP}]
+ >=dev-python/versioneer-0.28[${PYTHON_USEDEP}]
+ test? (
+ dev-python/moto[${PYTHON_USEDEP}]
+ dev-python/numexpr[${PYTHON_USEDEP}]
+ dev-python/pytest-rerunfailures[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ dev-python/scipy[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ # fails with sqlalchemy-2.0, even though we don't use it x_x
+ sed -i -e '/RemovedIn20Warning/d' pyproject.toml || die
+ sed -i -e 's:--cov-config=pyproject.toml::' pyproject.toml || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # more tests relying on -Werror
+ "dask/array/tests/test_overlap.py::test_map_overlap_no_depth[None]"
+ dask/array/tests/test_random.py::test_RandomState_only_funcs
+ # TODO
+ dask/array/tests/test_reductions.py::test_mean_func_does_not_warn
+ dask/tests/test_config.py::test__get_paths
+ dask/array/tests/test_linalg.py::test_solve_assume_a
+ "dask/dataframe/tests/test_dataframe.py::test_repartition_npartitions[<lambda>0-float-5-1-True]"
+ "dask/dataframe/tests/test_dataframe.py::test_repartition_npartitions[<lambda>1-float-5-1-True]"
+ dask/array/tests/test_image.py::test_preprocess
+ dask/tests/test_system.py::test_cpu_count_cgroups_v2
+ # require sqlalchemy<2.0
+ dask/dataframe/io/tests/test_sql.py
+ # crashes
+ dask/tests/test_base.py::test_tokenize_object_with_recursion_error
+ )
+
+ if ! has_version -b "dev-python/pyarrow[parquet,${PYTHON_USEDEP}]"; then
+ EPYTEST_DESELECT+=(
+ # fails if pyarrow is installed without USE=parquet
+ # (optional dep, skipped if it's not installed at all)
+ dask/dataframe/io/tests/test_parquet.py::test_pyarrow_filter_divisions
+ )
+ fi
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest -p pytest_rerunfailures -m "not network" \
+ -p xdist -n "$(makeopts_jobs)"
+}
diff --git a/dev-python/lit/Manifest b/dev-python/lit/Manifest
index 8a547e85b6d5..db6bc21c0cb1 100644
--- a/dev-python/lit/Manifest
+++ b/dev-python/lit/Manifest
@@ -4,11 +4,6 @@ DIST llvm-project-15.0.7.src.tar.xz 110936452 BLAKE2B f3d277e2029157329e5be78b78
DIST llvm-project-15.0.7.src.tar.xz.sig 566 BLAKE2B 47dc8c82d86237b80c6d85f83a6c9a6e9e174cf8e7f367b071e0cd9481d7cd408e991337c5624e07f3f370f26387c814f212808575ed1c1b58404d3e3836b7df SHA512 fc6891b440dd1175eb8df3790590af8d36bc92301660f84744ae15123475aeb900a151e6a8e7998ded27ec4d86871903ad0b89cd61164943054c2e3bc8d8beb2
DIST llvm-project-16.0.6.src.tar.xz 118013488 BLAKE2B 95192d39cbd2914e5609db365965f1c00bfea6c2d653b3996bd2acef8a2b37e37f6fc8a9d2b65711ad72657e0ef52c42f733053cf65051e7822f27396c30406d SHA512 89a67ebfbbc764cc456e8825ecfa90707741f8835b1b2adffae0b227ab1fe5ca9cce75b0efaffc9ca8431cae528dc54fd838867a56a2b645344d9e82d19ab1b7
DIST llvm-project-16.0.6.src.tar.xz.sig 566 BLAKE2B 2060cebd5ed57cb8a86a44238c43dfd4b921649298b10c3d19da308374c1e49869174294e29943c2af459fe06428264e26881d6c1288ebbc48686cc2cf467c7a SHA512 ca249262c7102e0889ec1bdc6f71a3a6f0e7e5d5fbab8abcd6fccd2871e7955eff7af5b055a76006097baf0dfaf2f5069eff3035b3107fc552abdb2481b21447
-DIST llvm-project-17.0.3.src.tar.xz 127843636 BLAKE2B 5331d9b545faab282a4caec9ee688d0f1e0615a56a26aa24d8f6fbbae10258e132d94634dab2f7bd69ada06bb28dc899730b9cd774a1086d7c03d5706de6d997 SHA512 44f37dea494a66a83c252e28d7d0517c3b2eed5b196565432dc663c7914bd66d665c8d13479e2776a14cac1905faf6972f986176722c053b58528570a6e68316
-DIST llvm-project-17.0.3.src.tar.xz.sig 438 BLAKE2B 045e7ca82c8d9b3f182e4fa331ec841b24777ac1888f10de435a389ae3a88172e0559a3fca0c2d37cc874464411ae50d7bc0d0829455149a8de8b953ef6c98c7 SHA512 95f9e6729074cfd71b0ffb21e423cd0fd87763268c24e0513f7afd6a85d08061658c44c03ea3ea3b6e3cc7051676d44c41a791e6905c8abb456d48a3762fc152
DIST llvm-project-17.0.4.src.tar.xz 127828636 BLAKE2B bd91ef7f07e085b935500b056f75ab792d13e7f33825df36e85e7988f313a4f3fbb1b4c854615a5e437a97ad552838eb1be5098194f281ba1279330156dd6a38 SHA512 6703eede8013e7e5733fbd7b527757166d5698f52e239522fb320717430c88696309038501d22fe384b016b330bd92126a2c0ba88b0258c3f092801e3800b7a3
DIST llvm-project-17.0.4.src.tar.xz.sig 438 BLAKE2B e417c14d0af8c2f13eccec7a42d0e4d5a6a834d7a3d31061b9f56f7e880cd982c2b1e84322bcf8f6a3d3167519c31f16c7acb8fc725ab5b453f467a196ca2688 SHA512 4e79bb1d2b41289c092d4ec2759d7cfd4f12df8d107f9510aa9e2354691e7f878e3929b2b50e29fd6c65bd5a3aa13baf6b791847c1cd99817adbf59700cf2bdd
-DIST llvm-project-5d35273a32d239b7407338e13ed71b59174d6536.tar.gz 198787569 BLAKE2B 7f4f1eb490028e18826a6ebade649a682e433252ceab1f3dcd9e50c34f24e7ef108c3325ec209a4d4fa1ded8e09ebda4980cb9d8ddce8a0d517923d6c38b8f4a SHA512 4d263561fb12cc07a5e8f7ed2f8f22a3645aa959cf963a6a735a9bb93cfc2a51bf7e4d36b54e8425725029cfcfd868dfcc53af95d26d84be72be124d8c564271
DIST llvm-project-83888a5404d46667647fe36d6fa510d075ed57ea.tar.gz 200867834 BLAKE2B 20f5afa071089852abfdcc316e5db77681afe0fdb189a515d7724a0abaf1c545f37ba4b946414c7b8afca62636107bd4e1c7c99d8ba6a514bb413b13f5f634b0 SHA512 4cd7680a227388382076d5735a97a379546f5bdde33272a5a3d317d98c2847e34917dd38a3cfb3f1f677f6d9a9b2163b29f89dd9c4b92506f5be34a3072e0509
-DIST llvm-project-a7700985577694d6cc2498833f27b4fb5eeaf252.tar.gz 199221825 BLAKE2B 047ab7c0e80e1dbbe61ebd9aaae17166665a33b5cb50beec6da2cc19bec9a16777b82c157e74f88b0678d843b200f292d696a964211a8e532f128491dc39a6e4 SHA512 b747210d53402ae01238fa82195fa5c1c8d1c832d976bcc996ef657ac54dacb2fb19521c6f080151e6b1af8a49ddfe58979afaa00b3f1f72dc664ac79b99a8bb
-DIST llvm-project-e6e90840708099425b7b69dd053634ff25d4907f.tar.gz 199022115 BLAKE2B 442aff8f561f7c5834a36b7eb217fd2b984e58af9cbcf3e6495305f386a7651e73345bbe65133af4bffaf8cb209cfb9a94fb28756ffaaaae8f7d28ec253ccb78 SHA512 fa9c180f36f4c782208ae7baff1683ee466c70f7d021b21b9cb8a8fd0f2005c0b47889d8bb37f5fb984f6b2ec26c74df60490c7b51ac3d080830e6844e33e300
diff --git a/dev-python/lit/lit-17.0.3.ebuild b/dev-python/lit/lit-17.0.3.ebuild
deleted file mode 100644
index 0bbb706f82de..000000000000
--- a/dev-python/lit/lit-17.0.3.ebuild
+++ /dev/null
@@ -1,42 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{8,9,10,11,12} )
-
-inherit distutils-r1 llvm.org
-
-DESCRIPTION="A stand-alone install of the LLVM suite testing tool"
-HOMEPAGE="https://llvm.org/"
-
-LICENSE="Apache-2.0-with-LLVM-exceptions UoI-NCSA"
-SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86"
-IUSE="test"
-RESTRICT="!test? ( test )"
-
-# Tests require 'FileCheck' and 'not' utilities (from llvm)
-BDEPEND="
- test? (
- dev-python/psutil[${PYTHON_USEDEP}]
- sys-devel/llvm
- )
-"
-
-LLVM_COMPONENTS=( llvm/utils/lit )
-llvm.org_set_globals
-
-# TODO: move the manpage generation here (from sys-devel/llvm)
-
-src_prepare() {
- cd "${WORKDIR}" || die
- distutils-r1_src_prepare
-}
-
-python_test() {
- local -x LIT_PRESERVES_TMP=1
- local litflags=$(get_lit_flags)
- ./lit.py ${litflags//;/ } tests || die
-}
diff --git a/dev-python/lit/lit-18.0.0.9999.ebuild b/dev-python/lit/lit-18.0.0.9999.ebuild
index f3ba04d07c7f..6680285a5660 100644
--- a/dev-python/lit/lit-18.0.0.9999.ebuild
+++ b/dev-python/lit/lit-18.0.0.9999.ebuild
@@ -30,6 +30,10 @@ llvm.org_set_globals
# TODO: move the manpage generation here (from sys-devel/llvm)
src_prepare() {
+ # flaky test
+ # https://github.com/llvm/llvm-project/issues/72022
+ rm tests/progress-bar.py || die
+
cd "${WORKDIR}" || die
distutils-r1_src_prepare
}
diff --git a/dev-python/lit/lit-18.0.0_pre20231013.ebuild b/dev-python/lit/lit-18.0.0_pre20231013.ebuild
deleted file mode 100644
index f3ba04d07c7f..000000000000
--- a/dev-python/lit/lit-18.0.0_pre20231013.ebuild
+++ /dev/null
@@ -1,41 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{8,9,10,11,12} )
-
-inherit distutils-r1 llvm.org
-
-DESCRIPTION="A stand-alone install of the LLVM suite testing tool"
-HOMEPAGE="https://llvm.org/"
-
-LICENSE="Apache-2.0-with-LLVM-exceptions UoI-NCSA"
-SLOT="0"
-IUSE="test"
-RESTRICT="!test? ( test )"
-
-# Tests require 'FileCheck' and 'not' utilities (from llvm)
-BDEPEND="
- test? (
- dev-python/psutil[${PYTHON_USEDEP}]
- sys-devel/llvm
- )
-"
-
-LLVM_COMPONENTS=( llvm/utils/lit )
-llvm.org_set_globals
-
-# TODO: move the manpage generation here (from sys-devel/llvm)
-
-src_prepare() {
- cd "${WORKDIR}" || die
- distutils-r1_src_prepare
-}
-
-python_test() {
- local -x LIT_PRESERVES_TMP=1
- local litflags=$(get_lit_flags)
- ./lit.py ${litflags//;/ } tests || die
-}
diff --git a/dev-python/lit/lit-18.0.0_pre20231019.ebuild b/dev-python/lit/lit-18.0.0_pre20231019.ebuild
deleted file mode 100644
index f3ba04d07c7f..000000000000
--- a/dev-python/lit/lit-18.0.0_pre20231019.ebuild
+++ /dev/null
@@ -1,41 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{8,9,10,11,12} )
-
-inherit distutils-r1 llvm.org
-
-DESCRIPTION="A stand-alone install of the LLVM suite testing tool"
-HOMEPAGE="https://llvm.org/"
-
-LICENSE="Apache-2.0-with-LLVM-exceptions UoI-NCSA"
-SLOT="0"
-IUSE="test"
-RESTRICT="!test? ( test )"
-
-# Tests require 'FileCheck' and 'not' utilities (from llvm)
-BDEPEND="
- test? (
- dev-python/psutil[${PYTHON_USEDEP}]
- sys-devel/llvm
- )
-"
-
-LLVM_COMPONENTS=( llvm/utils/lit )
-llvm.org_set_globals
-
-# TODO: move the manpage generation here (from sys-devel/llvm)
-
-src_prepare() {
- cd "${WORKDIR}" || die
- distutils-r1_src_prepare
-}
-
-python_test() {
- local -x LIT_PRESERVES_TMP=1
- local litflags=$(get_lit_flags)
- ./lit.py ${litflags//;/ } tests || die
-}
diff --git a/dev-python/lit/lit-18.0.0_pre20231025.ebuild b/dev-python/lit/lit-18.0.0_pre20231025.ebuild
deleted file mode 100644
index f3ba04d07c7f..000000000000
--- a/dev-python/lit/lit-18.0.0_pre20231025.ebuild
+++ /dev/null
@@ -1,41 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{8,9,10,11,12} )
-
-inherit distutils-r1 llvm.org
-
-DESCRIPTION="A stand-alone install of the LLVM suite testing tool"
-HOMEPAGE="https://llvm.org/"
-
-LICENSE="Apache-2.0-with-LLVM-exceptions UoI-NCSA"
-SLOT="0"
-IUSE="test"
-RESTRICT="!test? ( test )"
-
-# Tests require 'FileCheck' and 'not' utilities (from llvm)
-BDEPEND="
- test? (
- dev-python/psutil[${PYTHON_USEDEP}]
- sys-devel/llvm
- )
-"
-
-LLVM_COMPONENTS=( llvm/utils/lit )
-llvm.org_set_globals
-
-# TODO: move the manpage generation here (from sys-devel/llvm)
-
-src_prepare() {
- cd "${WORKDIR}" || die
- distutils-r1_src_prepare
-}
-
-python_test() {
- local -x LIT_PRESERVES_TMP=1
- local litflags=$(get_lit_flags)
- ./lit.py ${litflags//;/ } tests || die
-}
diff --git a/dev-python/mypy/Manifest b/dev-python/mypy/Manifest
index 42c1c66461e9..5554f951f9a0 100644
--- a/dev-python/mypy/Manifest
+++ b/dev-python/mypy/Manifest
@@ -1,3 +1,4 @@
DIST mypy-1.5.1.gh.tar.gz 2901212 BLAKE2B b136cf061162bc50a48f1556763d7a1258b5a29b63a77db9190f89c56d3e85375a2b0e826d75472a0dc37df4d3391f2d85bb5f1f29c2907055a978e3c8d75906 SHA512 2c81322c0e7d9621e6d189f4d9d25d77c5fd6decbb563c8d0015e0f94ff1ff8206e5b7a38884edd3eedb99e839c03283ebfa7d86577c9f8e0d707c0cc4eb8fed
DIST mypy-1.6.0.gh.tar.gz 2923757 BLAKE2B 15e0fe124b7024a3e89a8c32c13404f33bc56a3ff29375d006bfcaf9de359ea59025ba07e3726c7a4b402f4b7aca1256859585e1500891fb1e5f996b19dd499a SHA512 245324a5ec8a98e18c31159c5cb907ce1b60323428942b9fd60909a3b117ae46eeb97792fb1f30562fa411edb6c9e903f87b5b232a4be1242abe28d88406f7c4
DIST mypy-1.6.1.gh.tar.gz 2923973 BLAKE2B 1abaaab0c4ca4daa4914d69196312e371d030b6f81616da66102c5fcf6ad55ed2a6a9d56f9a55d2b6ebeb055b40947ab042e7b8744960185f5343dd9f05f9f4f SHA512 eac6b17dd418146c365a446e34c2cb403692a6ffa08b06a94c54accfbcedd441284c95894ef9f9b83e48df81edc35893b17163f6dba9f81fe7e9a8527401968b
+DIST mypy-1.7.0.gh.tar.gz 3001996 BLAKE2B af29475dc4a24d75700144b8b2643de65d88d50d561ba6bdb0d64941dc19a2943829ee93f25ece679d213833bf7a68814c5aa83ec13eac3f22074356b1c47e1c SHA512 e8ba6b0897327e8a0718a0c46ed16ce81bf677e3084ca00ea0762215d79a2b52fe84329121cff257b575d13288621b98c550b9915bd1afcfa3c13d43a2087b23
diff --git a/dev-python/mypy/mypy-1.7.0.ebuild b/dev-python/mypy/mypy-1.7.0.ebuild
new file mode 100644
index 000000000000..90f0bc3c94ca
--- /dev/null
+++ b/dev-python/mypy/mypy-1.7.0.ebuild
@@ -0,0 +1,104 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="Optional static typing for Python"
+HOMEPAGE="
+ https://www.mypy-lang.org/
+ https://github.com/python/mypy/
+ https://pypi.org/project/mypy/
+"
+SRC_URI="
+ https://github.com/python/mypy/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="+native-extensions"
+
+# stubgen collides with this package: https://bugs.gentoo.org/585594
+RDEPEND="
+ !dev-util/stubgen
+ >=dev-python/psutil-4[${PYTHON_USEDEP}]
+ >=dev-python/typing-extensions-4.1.0[${PYTHON_USEDEP}]
+ >=dev-python/mypy_extensions-1.0.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/tomli[${PYTHON_USEDEP}]
+ ' 3.{9..10})
+"
+BDEPEND="
+ native-extensions? (
+ dev-python/types-psutil[${PYTHON_USEDEP}]
+ dev-python/types-setuptools[${PYTHON_USEDEP}]
+ )
+ test? (
+ >=dev-python/attrs-18.0[${PYTHON_USEDEP}]
+ >=dev-python/filelock-3.3.0[${PYTHON_USEDEP}]
+ >=dev-python/lxml-4.9.1[${PYTHON_USEDEP}]
+ >=dev-python/pytest-xdist-1.18[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+# frustratingly, mypyc produces non-deterministic output. If ccache is enabled it will be a waste of time,
+# but simultaneously it might trash your system and fill up the cache with a giant wave of non-reproducible
+# test files (https://github.com/mypyc/mypyc/issues/1014)
+export CCACHE_DISABLE=1
+
+src_compile() {
+ local -x MYPY_USE_MYPYC=$(usex native-extensions 1 0)
+ distutils-r1_src_compile
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # the majority of them require Internet (via pip)
+ mypy/test/testpep561.py
+ # known broken with assertions enabled
+ # https://github.com/python/mypy/issues/16043
+ mypyc/test/test_run.py::TestRun::run-i64.test::testI64GlueMethodsAndInheritance
+ mypyc/test/test_run.py::TestRun::run-floats.test::testFloatOps
+ # these assume that types-docutils are not installed
+ mypy/test/testpythoneval.py::PythonEvaluationSuite::pythoneval.test::testIgnoreImportIfNoPython3StubAvailable
+ mypy/test/testpythoneval.py::PythonEvaluationSuite::pythoneval.test::testNoPython3StubAvailable
+ )
+ if [[ ${EPYTHON} == python3.12 ]]; then
+ EPYTEST_DESELECT+=(
+ # more assertions, sigh
+ mypyc/test/test_run.py::TestRun::run-bools.test::testBoolOps
+ mypyc/test/test_run.py::TestRun::run-i64.test::testI64BasicOps
+ mypyc/test/test_run.py::TestRun::run-i64.test::testI64DefaultArgValues
+ mypyc/test/test_run.py::TestRun::run-i64.test::testI64ErrorValuesAndUndefined
+ )
+ fi
+
+ # Some mypy/test/testcmdline.py::PythonCmdlineSuite tests
+ # fail with high COLUMNS values
+ local -x COLUMNS=80
+
+ # The tests depend on having in-source compiled extensions if you want to
+ # test those compiled extensions. Various crucial test dependencies aren't
+ # installed. Even pyproject.toml is needed because that's where pytest args
+ # are in. Hack them into the build directory and delete them afterwards.
+ # See: https://github.com/python/mypy/issues/16143
+ local -x MYPY_TEST_PREFIX="${S}"
+ cd "${BUILD_DIR}/install$(python_get_sitedir)" || die
+ cp -r "${S}"/{conftest.py,pyproject.toml} . || die
+
+ local failed=
+ nonfatal epytest -n "$(makeopts_jobs)" --dist=worksteal || failed=1
+
+ rm conftest.py pyproject.toml || die
+
+ [[ ${failed} ]] && die "epytest failed with ${EPYTHON}"
+}
diff --git a/dev-python/pandas/Manifest b/dev-python/pandas/Manifest
index b7c0dda3d740..408349fbf7e5 100644
--- a/dev-python/pandas/Manifest
+++ b/dev-python/pandas/Manifest
@@ -1,3 +1,4 @@
DIST pandas-1.5.3.tar.gz 5203060 BLAKE2B 846a6caa8ead6a2556303494f92e2091582d8fcde2aee424fa172c4e29c189a7305261f6a931a20249e969668646ff4a3d605ee1b57785fa3677dfbd137b3602 SHA512 3c725c33dcaf78b952d2eb966ced73ff0073162a01d3cbcb722d58d8f12a82163e6e684c27284c735bdfb32dea263b960f70f6a80ff93e6b316316d40835ae35
DIST pandas-2.1.1.tar.gz 4266250 BLAKE2B 9d8256300db65b606e34b16d7f3884b602794fe3c14d66115056db4a4658603fbe7a7a3082dfc781760517d643d6e21a6d4d43441131ec6aed5965b6fa8a0e9c SHA512 346e13e06805948c569712028c9b8d756c67ca2fab040999a51a4e759206d50d8ee25be38ac3c7cb3d2e692a02d85c1ec198841311fe43cb04b64f2741627a4e
DIST pandas-2.1.2.tar.gz 4271419 BLAKE2B 2f22035c9b7d6a0403b28ebe506550328e096f0ed87984dba28d2f49950393ed8a5a3c0c71c5391385d9f5361319431d5de3736f7381eb7670045415b05137a7 SHA512 dad04f1fcc5a59485c34ebfed0698fd47ad9eeffafaddf91642c084f4ffde8a55ce543f9dadb6e7a5066b1809489961d34fe3fe8860f64f9bd2d90b445d92063
+DIST pandas-2.1.3.tar.gz 4272855 BLAKE2B 73717926bb0af44acb9a2d12964df7bf70affd61ca19468b3af4376f9c8084d3612895a9ac5117be97658fd5b7ff0275cd7b2c6f1b9b0e00afb951fd50a1f103 SHA512 71012b47b76444e19507e444c8ef88497e3b286856690216886cbb67ad70786c2f5014a7cf6c89f8378769560109fb5593a8c82c21a034a1059769e15c843b92
diff --git a/dev-python/pandas/pandas-2.1.3.ebuild b/dev-python/pandas/pandas-2.1.3.ebuild
new file mode 100644
index 000000000000..2268de65f216
--- /dev/null
+++ b/dev-python/pandas/pandas-2.1.3.ebuild
@@ -0,0 +1,216 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=meson-python
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+PYTHON_REQ_USE="threads(+)"
+
+VIRTUALX_REQUIRED="manual"
+
+inherit distutils-r1 multiprocessing optfeature pypi virtualx
+
+DESCRIPTION="Powerful data structures for data analysis and statistics"
+HOMEPAGE="
+ https://pandas.pydata.org/
+ https://github.com/pandas-dev/pandas/
+ https://pypi.org/project/pandas/
+"
+
+SLOT="0"
+LICENSE="BSD"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~riscv ~sparc ~x86"
+IUSE="full-support minimal test X"
+RESTRICT="!test? ( test )"
+
+RECOMMENDED_DEPEND="
+ >=dev-python/bottleneck-1.3.4[${PYTHON_USEDEP}]
+ >=dev-python/numexpr-2.8.0[${PYTHON_USEDEP}]
+"
+
+# TODO: add pandas-gbq to the tree
+# TODO: Re-add dev-python/statsmodel[python3_11] dep once it supports python3_11
+# https://github.com/statsmodels/statsmodels/issues/8287
+OPTIONAL_DEPEND="
+ >=dev-python/beautifulsoup4-4.11.1[${PYTHON_USEDEP}]
+ dev-python/blosc[${PYTHON_USEDEP}]
+ >=dev-python/html5lib-1.1[${PYTHON_USEDEP}]
+ >=dev-python/jinja-3.1.2[${PYTHON_USEDEP}]
+ >=dev-python/lxml-4.8.0[${PYTHON_USEDEP}]
+ >=dev-python/matplotlib-3.6.1[${PYTHON_USEDEP}]
+ >=dev-python/openpyxl-3.0.7[${PYTHON_USEDEP}]
+ >=dev-python/sqlalchemy-1.4.36[${PYTHON_USEDEP}]
+ >=dev-python/tables-3.7.0[${PYTHON_USEDEP}]
+ >=dev-python/tabulate-0.8.10[${PYTHON_USEDEP}]
+ >=dev-python/xarray-2022.3.0[${PYTHON_USEDEP}]
+ >=dev-python/xlrd-2.0.1[${PYTHON_USEDEP}]
+ >=dev-python/xlsxwriter-3.0.3[${PYTHON_USEDEP}]
+ >=dev-python/xlwt-1.3.0[${PYTHON_USEDEP}]
+ !hppa? (
+ $(python_gen_cond_dep '
+ dev-python/statsmodels[${PYTHON_USEDEP}]
+ ' python3_{8..10} )
+ >=dev-python/scipy-1.8.1[${PYTHON_USEDEP}]
+ )
+ X? (
+ || (
+ >=dev-python/PyQt5-5.15.6[${PYTHON_USEDEP}]
+ >=dev-python/QtPy-2.2.0[${PYTHON_USEDEP}]
+ x11-misc/xclip
+ x11-misc/xsel
+ )
+ )
+"
+DEPEND="
+ >=dev-python/numpy-1.23.2[${PYTHON_USEDEP}]
+"
+COMMON_DEPEND="
+ ${DEPEND}
+ >=dev-python/python-dateutil-2.8.2[${PYTHON_USEDEP}]
+ >=dev-python/pytz-2020.1[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ ${COMMON_DEPEND}
+ >=dev-util/meson-1.2.1
+ >=dev-python/cython-0.29.33[${PYTHON_USEDEP}]
+ >=dev-python/versioneer-0.28[${PYTHON_USEDEP}]
+ test? (
+ ${VIRTUALX_DEPEND}
+ ${RECOMMENDED_DEPEND}
+ ${OPTIONAL_DEPEND}
+ >=dev-python/beautifulsoup4-4.11.1[${PYTHON_USEDEP}]
+ >=dev-python/hypothesis-6.46.1[${PYTHON_USEDEP}]
+ >=dev-python/openpyxl-3.0.10[${PYTHON_USEDEP}]
+ >=dev-python/pymysql-1.0.2[${PYTHON_USEDEP}]
+ >=dev-python/pytest-7.3.2[${PYTHON_USEDEP}]
+ >=dev-python/pytest-xdist-2.2.0[${PYTHON_USEDEP}]
+ >=dev-python/psycopg-2.9.3:2[${PYTHON_USEDEP}]
+ >=dev-python/xlsxwriter-3.0.3[${PYTHON_USEDEP}]
+ x11-misc/xclip
+ x11-misc/xsel
+ )
+"
+RDEPEND="
+ ${COMMON_DEPEND}
+ dev-python/tzdata[${PYTHON_USEDEP}]
+ !minimal? ( ${RECOMMENDED_DEPEND} )
+ full-support? ( ${OPTIONAL_DEPEND} )
+"
+
+PATCHES=(
+ # a quick hack, it's already fixed in main
+ "${FILESDIR}/pandas-2.1.1-which.patch"
+)
+
+src_test() {
+ virtx distutils-r1_src_test
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # test for rounding errors, fails if we have better precision
+ # e.g. on amd64 with FMA or on arm64
+ # https://github.com/pandas-dev/pandas/issues/38921
+ tests/window/test_rolling.py::test_rolling_var_numerical_issues
+
+ # TODO; unhappy about DISPLAY?
+ tests/test_downstream.py::test_seaborn
+
+ # OOMs
+ tests/io/parser/test_c_parser_only.py::test_bytes_exceed_2gb
+
+ # TODO: numexpr says "forbidden control characters"
+ tests/computation/test_eval.py::TestOperations::test_multi_line_expression_local_variable
+ 'tests/computation/test_eval.py::test_query_token[numexpr-Temp(\xb0C)]'
+ tests/frame/test_query_eval.py::TestDataFrameQueryBacktickQuoting::test_lots_of_operators_string
+ tests/frame/test_query_eval.py::TestDataFrameQueryBacktickQuoting::test_multiple_spaces
+ tests/frame/test_query_eval.py::TestDataFrameQueryBacktickQuoting::test_parenthesis
+ tests/frame/test_query_eval.py::TestDataFrameQueryBacktickQuoting::test_start_with_spaces
+ tests/frame/test_query_eval.py::TestDataFrameQueryNumExprPandas::test_local_syntax
+ tests/frame/test_query_eval.py::TestDataFrameQueryNumExprPandas::test_local_variable_with_in
+ tests/frame/test_query_eval.py::TestDataFrameQueryNumExprPandas::test_nested_scope
+ tests/frame/test_query_eval.py::TestDataFrameQueryNumExprPandas::test_query_scope
+
+ # TODO: missing data not covered by --no-strict-data-files?
+ tests/io/xml/test_xml.py::test_empty_stylesheet
+ tests/io/xml/test_xml.py::test_wrong_file_path
+
+ # TODO
+ tests/frame/test_arithmetic.py::TestFrameFlexArithmetic::test_floordiv_axis0_numexpr_path
+
+ # deprecation warning
+ tests/io/pytables/test_retain_attributes.py::test_retain_index_attributes2
+
+ # Needs 64-bit time_t (TODO: split into 32-bit arch only section)
+ tests/tseries/offsets/test_year.py::test_add_out_of_pydatetime_range
+ 'tests/tseries/offsets/test_common.py::test_apply_out_of_range[tzlocal()-BusinessDay]'
+ 'tests/tseries/offsets/test_common.py::test_apply_out_of_range[tzlocal()-BusinessHour]'
+ 'tests/tseries/offsets/test_common.py::test_apply_out_of_range[tzlocal()-BusinessMonthEnd]'
+ 'tests/tseries/offsets/test_common.py::test_apply_out_of_range[tzlocal()-BusinessMonthBegin]'
+ 'tests/tseries/offsets/test_common.py::test_apply_out_of_range[tzlocal()-BQuarterEnd]'
+ 'tests/tseries/offsets/test_common.py::test_apply_out_of_range[tzlocal()-BQuarterBegin]'
+ 'tests/tseries/offsets/test_common.py::test_apply_out_of_range[tzlocal()-CustomBusinessDay]'
+ 'tests/tseries/offsets/test_common.py::test_apply_out_of_range[tzlocal()-CustomBusinessHour]'
+ 'tests/tseries/offsets/test_common.py::test_apply_out_of_range[tzlocal()-CustomBusinessMonthEnd]'
+ 'tests/tseries/offsets/test_common.py::test_apply_out_of_range[tzlocal()-CustomBusinessMonthBegin]'
+ 'tests/tseries/offsets/test_common.py::test_apply_out_of_range[tzlocal()-MonthEnd]'
+ 'tests/tseries/offsets/test_common.py::test_apply_out_of_range[tzlocal()-MonthBegin]'
+ 'tests/tseries/offsets/test_common.py::test_apply_out_of_range[tzlocal()-SemiMonthBegin]'
+ 'tests/tseries/offsets/test_common.py::test_apply_out_of_range[tzlocal()-SemiMonthEnd]'
+ 'tests/tseries/offsets/test_common.py::test_apply_out_of_range[tzlocal()-QuarterEnd]'
+ 'tests/tseries/offsets/test_common.py::test_apply_out_of_range[tzlocal()-LastWeekOfMonth]'
+ 'tests/tseries/offsets/test_common.py::test_apply_out_of_range[tzlocal()-WeekOfMonth]'
+ 'tests/tseries/offsets/test_common.py::test_apply_out_of_range[tzlocal()-Week]'
+
+ # hdf / pytables have alignment problems: bug #911660
+ # https://github.com/pandas-dev/pandas/issues/54396
+ tests/io/pytables/test_append.py::test_append_frame_column_oriented
+ tests/io/pytables/test_store.py::test_select_filter_corner
+
+ # blosc2 version
+ tests/io/pytables/test_file_handling.py::test_complibs\[blosc2-{1..9}\]
+ )
+
+ case ${EPYTHON} in
+ python3.12)
+ EPYTEST_DESELECT+=(
+ tests/io/pytables/test_select.py::test_select_dtypes
+ tests/io/pytables/test_select.py::test_frame_select
+ # deprecation warnings
+ tests/io/excel/test_writers.py::TestRoundTrip::test_read_excel_parse_dates
+ )
+ ;;
+ esac
+
+ local -x LC_ALL=C.UTF-8
+ cd "${BUILD_DIR}/install$(python_get_sitedir)" || die
+ "${EPYTHON}" -c "import pandas; pandas.show_versions()" || die
+ # --no-strict-data-files is necessary since upstream prevents data
+ # files from even being included in GitHub archives, sigh
+ # https://github.com/pandas-dev/pandas/issues/54907
+ epytest pandas/tests \
+ --no-strict-data-files \
+ --maxfail=32 \
+ -m "not single and not slow and not network" \
+ -n "$(makeopts_jobs)" --dist=worksteal ||
+ die "Tests failed with ${EPYTHON}"
+ rm test-data.xml || die
+}
+
+pkg_postinst() {
+ optfeature "accelerating certain types of NaN evaluations, using specialized cython routines to achieve large speedups." dev-python/bottleneck
+ optfeature "accelerating certain numerical operations, using multiple cores as well as smart chunking and caching to achieve large speedups" ">=dev-python/numexpr-2.1"
+ optfeature "needed for pandas.io.html.read_html" dev-python/beautifulsoup4 dev-python/html5lib dev-python/lxml
+ optfeature "for msgpack compression using blosc" dev-python/blosc
+ optfeature "Template engine for conditional HTML formatting" dev-python/jinja
+ optfeature "Plotting support" dev-python/matplotlib
+ optfeature "Needed for Excel I/O" ">=dev-python/openpyxl-3.0.10" dev-python/xlsxwriter dev-python/xlrd dev-python/xlwt
+ optfeature "necessary for HDF5-based storage" ">=dev-python/tables-3.7.0"
+ optfeature "R I/O support" dev-python/rpy
+ optfeature "Needed for parts of pandas.stats" dev-python/statsmodels
+ optfeature "SQL database support" ">=dev-python/sqlalchemy-1.4.36"
+ optfeature "miscellaneous statistical functions" dev-python/scipy
+ optfeature "necessary to use pandas.io.clipboard.read_clipboard support" dev-python/PyQt5 dev-python/QtPy dev-python/pygtk x11-misc/xclip x11-misc/xsel
+}
diff --git a/dev-python/pymdown-extensions/Manifest b/dev-python/pymdown-extensions/Manifest
index 45f8f1d988ba..cb78f8a04d41 100644
--- a/dev-python/pymdown-extensions/Manifest
+++ b/dev-python/pymdown-extensions/Manifest
@@ -1,2 +1,3 @@
DIST pymdown_extensions-10.3.1.tar.gz 785369 BLAKE2B ac87db5df4505cd59663a2b9e770250522444e7dca6964625cd5fe4a969f5eb4efad1a2469ab2086f73fe2d7534386843167fb3e787d5bb300e33e98952c319a SHA512 07703acd18d018ece3f35003e65111482976ed1eb0473e39037dc5051b94a9003591c72b518a62a25219833dcd795d5bab5e961245998c93ad7277c00cb189cb
DIST pymdown_extensions-10.3.tar.gz 784920 BLAKE2B 25b859dcba00d690bea3c9830542af52391f4941e8470d541e9bc0fdad12b6f20cf7350df237962fba502dbe72c8e4934446e3e5fdb6712ef9701f3654a4fda5 SHA512 28f1942baf0ed67b4d6bf80d1ac095a034d0afecd508ce13c8a8deabde4c7f6f89895c1a0509c576fa4884fc04f8800839b4a9a622910d3ed8914e0ac7f0ca27
+DIST pymdown_extensions-10.4.tar.gz 785151 BLAKE2B 90d49b16e3656262eb7a591e9cd53ebd1350aab8ed8522711c595169db078924d67e23a71c63001089744166f9ee2039622bd1b847facad64503a27a6b783104 SHA512 efcd958fce5d0445ecb9c7a844caa8306998647376cdb8c04d3bfcbff45f12f949230048a0fb9be50c59e814a445e38c1e57f749c5fe7f64f82f36853ef77cf0
diff --git a/dev-python/pymdown-extensions/pymdown-extensions-10.4.ebuild b/dev-python/pymdown-extensions/pymdown-extensions-10.4.ebuild
new file mode 100644
index 000000000000..11f98d5c8dd0
--- /dev/null
+++ b/dev-python/pymdown-extensions/pymdown-extensions-10.4.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Extensions for Python Markdown"
+HOMEPAGE="
+ https://github.com/facelessuser/pymdown-extensions/
+ https://pypi.org/project/pymdown-extensions/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/markdown-3.2[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+ test? (
+ >=dev-python/pygments-2.12.0[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/pypy/Manifest b/dev-python/pypy/Manifest
index 74f87cfe75ac..8cef9defe619 100644
--- a/dev-python/pypy/Manifest
+++ b/dev-python/pypy/Manifest
@@ -1,4 +1,4 @@
-DIST pypy2.7-gentoo-patches-7.3.11.tar.xz 5312 BLAKE2B 3692453a184a88d61fe1dd7aa815aa02a4bdf4b29defd2e98a354261784643f78799b979bb356c19311b40932cc7f8b8e050e10553755a846938951a87021bc9 SHA512 24308317d92b278f9f7d74327303ebba34628a2d8dd5798ae3d472d14fd0519a470b6f9c420da88e07251215342a1e4f5cf8d4230f9663119274d3194d3811a5
DIST pypy2.7-gentoo-patches-7.3.12.tar.xz 5340 BLAKE2B 1a7375412087e8df02e69c80cee6d8246cc444a352323e6a49c1e1a0e6f5d662584c4cce194f03fc139f29de4ecf5d9f68cea5a8c19a720f1a51c1563804e19a SHA512 026a435377f0f04a526d4e0bef1ac832543f24ff2b39579e2cc7ca2cb3eae0415fcdb3c701fc4b85b0659a2ab17180a45469d79920262ed6dfd68d401df85fa1
-DIST pypy2.7-v7.3.11-src.tar.bz2 19850421 BLAKE2B ed8bd61e3857c37689f24a23d38d5043bd190ee0e6de5d7906284ea2eab5e7aeff5c994c22f97195f5a1ded2867725f74dc562b375c0165b6231eae69213c06e SHA512 31fd93fe3e761fd096ff52c2a0afa40f78e4df700deb911e221d1682b35e8374c9deac7ba19b474f7ca7a366d3ae9b36ebaf78e81c4ec8306431fd0873daea55
+DIST pypy2.7-gentoo-patches-7.3.13.tar.xz 5340 BLAKE2B 843a7a5e4c2fd56fc4db51ba388736c0aa6593d45b145503f6428783a9fd815a77e2a06809077effced6fccf75c0dd38527a0695211852fd2a4c61b34e40c15c SHA512 cc8f6fc69f00030609a8d79f05a60b2e185141e9fc70a53b476b60a183dd0500627023658c6a57c2412f32af1db6fae91a361a4992d84e7dfbadb7eb4a98b8a1
DIST pypy2.7-v7.3.12-src.tar.bz2 19904555 BLAKE2B be8677c0632ef331db285938ad6ffbcb1aa70f44422a1ce5ed09b5a557e68d9185a11d1c20a4a3c6cf32ab41e623a2bc7b3ab7485bf270a9a604fb8a5769bf3f SHA512 35ec35376f1e7c1a5dea9dc5bce6819a94c2df2645806c83185487587470b47ab529c25ecb8ca200505319f40789859a2919c61902b693421e2001313b46e5f4
+DIST pypy2.7-v7.3.13-src.tar.bz2 19907651 BLAKE2B ce80db193afadbc721e781cbfe3d72bfe420eef3ede408f23213ab5d87a9a42c025d3c31c742dcb55a039b618930ebc4899d704f060d294f2e492d4d754effba SHA512 deeca234abbe526102cec637dc88399f462f64ae66c38782e6f3372b484d25fa4e88b906f783ba515bed17d2e82626d1c94fd6ee9b8b64e393f9bc0f5ee2b07b
diff --git a/dev-python/pypy/pypy-7.3.11.ebuild b/dev-python/pypy/pypy-7.3.13.ebuild
index 64c932882dae..ee22302c0b50 100644
--- a/dev-python/pypy/pypy-7.3.11.ebuild
+++ b/dev-python/pypy/pypy-7.3.13.ebuild
@@ -1,4 +1,4 @@
-# Copyright 2021-2022 Liguros Authors
+# Copyright 2021-2023 Liguros Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
diff --git a/dev-python/qdarkstyle/Manifest b/dev-python/qdarkstyle/Manifest
index d25371ae78f2..fa178b914c14 100644
--- a/dev-python/qdarkstyle/Manifest
+++ b/dev-python/qdarkstyle/Manifest
@@ -1,2 +1,2 @@
DIST QDarkStyle-3.1.tar.gz 698602 BLAKE2B 8c96b2dd5532c9db0c1d813fe0cf049b7cf55ef6469d2ebb21b5ea85fe6ecd23e8a247c45f45cfa674f8012a4a03ea377df8cb7efac8f13c079e2512091ecdc7 SHA512 275fe333bcf2502f8f1ef61eca3f82d8909e760e8f88a1605157c5043cb1e4cad97bbb8ddb0464ef2125c1b70f318bfa8f0106d2721d6b9862c162b5f716aa4b
-DIST QDarkStyle-3.2.tar.gz 697274 BLAKE2B f2626ec9fdbb792f6ffaa7967da0d1175ca8f0ce5b4b279f90434ad6b926156a29a56e637a2dec01ffcba8c5e9a544adc6cf6b4c515084a786de56ae388e0e36 SHA512 d6771a02e4be7dc43b991a887080a7147465488b1f8ae9ed64a75d838ce8de6336e14074d5eabaa8a67a5ea90a30bb911a1f033bdeb999b290243bec449000a0
+DIST QDarkStyle-3.2.1.tar.gz 681590 BLAKE2B 837b56ca96be3a03cc94840c7b70df3c6ef98d9edb7ec2d590dc82a06eef93c7d436746284e6d80e0d87212184ed67725bd40a87242ffae87f2afcaf311bb96e SHA512 435c836c9f5d61345cd9b37c151a990d1abb8c79505820cfb62ed4134f43511825a44709364bd8044e0f3acc9d63e1ccf65984334165707f9b28739f6745df50
diff --git a/dev-python/qdarkstyle/qdarkstyle-3.2.ebuild b/dev-python/qdarkstyle/qdarkstyle-3.2.1.ebuild
index 47b1052d96ec..aaa658e7e3db 100644
--- a/dev-python/qdarkstyle/qdarkstyle-3.2.ebuild
+++ b/dev-python/qdarkstyle/qdarkstyle-3.2.1.ebuild
@@ -18,7 +18,7 @@ HOMEPAGE="
LICENSE="MIT"
SLOT="0"
-KEYWORDS=""
+KEYWORDS="~amd64 ~x86"
RDEPEND="
>=dev-python/QtPy-2.0.0[gui,${PYTHON_USEDEP}]
diff --git a/dev-python/qtawesome/qtawesome-1.2.3.ebuild b/dev-python/qtawesome/qtawesome-1.2.3-r1.ebuild
index 9ced9543b23c..932f5b64473b 100644
--- a/dev-python/qtawesome/qtawesome-1.2.3.ebuild
+++ b/dev-python/qtawesome/qtawesome-1.2.3-r1.ebuild
@@ -17,12 +17,19 @@ SRC_URI="$(pypi_sdist_url --no-normalize QtAwesome)"
S="${WORKDIR}/QtAwesome-${PV}"
LICENSE="MIT"
+# bundled fonts
+# -------------
+# Font Awesome, Elusive Icons: OFL-1.1
+# Phosphor: MIT
+# Material Design Icons, Remix Icon: Apache-2.0
+# Codicons: CC-BY-4.0
+LICENSE+=" Apache-2.0 CC-BY-4.0 MIT OFL-1.1"
SLOT="0"
KEYWORDS="amd64 x86"
RDEPEND="
media-fonts/fontawesome
- dev-python/QtPy[pyqt5(+),gui,${PYTHON_USEDEP}]
+ dev-python/QtPy[gui,${PYTHON_USEDEP}]
"
BDEPEND="
test? (
@@ -38,7 +45,5 @@ src_test() {
}
python_test() {
- # Tests fail with pyside2, so depend on QtPy[pyqt5] and explicitly run
- # the tests with pyqt5
- PYTEST_QT_API="pyqt5" epytest || die "Tests failed with ${EPYTHON}"
+ nonfatal epytest || die -n "Tests failed with ${EPYTHON}"
}
diff --git a/dev-python/sphinx-autodoc-typehints/Manifest b/dev-python/sphinx-autodoc-typehints/Manifest
index efd6f95f3eef..7e669bf897ad 100644
--- a/dev-python/sphinx-autodoc-typehints/Manifest
+++ b/dev-python/sphinx-autodoc-typehints/Manifest
@@ -2,3 +2,4 @@ DIST sphinx_autodoc_typehints-1.24.0.tar.gz 36127 BLAKE2B 46f9eb12b7327dceaf623b
DIST sphinx_autodoc_typehints-1.24.1.tar.gz 36436 BLAKE2B be1de2ea15dd39f4adb30028849645b69a7f21aec7997a3fd633a5ba606a78e8f095b6a05bc66242003670adf5846c7b444ffd5eead39e0a7836f097ed0a3302 SHA512 d79f540939a8e669d0aaf238a213aade330ed46112231adae3ca822afdf5d12178247afc4a2a46938dc49aa73e556d0303db28e2ff48ebf6e26ddf71a7759c4e
DIST sphinx_autodoc_typehints-1.25.0.tar.gz 36871 BLAKE2B 1862bd2a0169a74ec342ce6ba1dc5604e84f828fc0d46f3f0d76832ec15d7e8ffad1dc3031fa6e088e82750e4b9ba70f913cba4896ad58e4dbb2a0cfac9da2ea SHA512 ad4410171fd4976fa939a4216769af03cddee136dbf6d02796e16bc577be4734ee80be899b7970a38bc4a581da7de7cba46903c2cd76255cef966e28827e2f72
DIST sphinx_autodoc_typehints-1.25.1.tar.gz 37019 BLAKE2B ef6a9c016c111ae8badced30d1c4b5a1691b2316ebc114ac51b229301670b204dd25ae10bb797a0ce3437dd8f2ae7c8be6a1aded39eed539e7bd0b2c04afbe1f SHA512 3e0aaca0cff346c8ba1b85709b6593a5c6ca1764f1ff56b0cb42ba95d001496de36c127b4d63a7d4f8a87e69beb3423898380c9cd6379b0205c16a91081eea93
+DIST sphinx_autodoc_typehints-1.25.2.tar.gz 37173 BLAKE2B cec43a8008e84cbc0cc8f1950d8c8b3aceec139f2c9b8de310620fbd7deab021ebc51caa0ec80421d821287c8f9c304102141eda9e1123496d710ce3d87590a7 SHA512 42d14b17e05c46d65fb363f6b640515e1847d1d1b13b9d4707c0e64002e01d974a4c8d06d90f938a149704641926b08755a8c9c1f84883b5841192c7330660a3
diff --git a/dev-python/sphinx-autodoc-typehints/sphinx-autodoc-typehints-1.25.2.ebuild b/dev-python/sphinx-autodoc-typehints/sphinx-autodoc-typehints-1.25.2.ebuild
new file mode 100644
index 000000000000..8959dc8c006f
--- /dev/null
+++ b/dev-python/sphinx-autodoc-typehints/sphinx-autodoc-typehints-1.25.2.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Type hints support for the Sphinx autodoc extension"
+HOMEPAGE="
+ https://github.com/tox-dev/sphinx-autodoc-typehints/
+ https://pypi.org/project/sphinx-autodoc-typehints/
+"
+
+LICENSE="MIT"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+SLOT="0"
+
+RDEPEND="
+ >=dev-python/sphinx-7.1.2[${PYTHON_USEDEP}]
+"
+# skipping optional test dep on dev-python/nptyping as that package
+# is horribly broken and on its way out
+BDEPEND="
+ dev-python/hatch-vcs[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/sphobjinv-2.3.1[${PYTHON_USEDEP}]
+ >=dev-python/typing-extensions-4.5[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # this package is addicted to Internet
+ tests/test_sphinx_autodoc_typehints.py::test_format_annotation
+)
diff --git a/dev-python/spyder/spyder-5.5.0.ebuild b/dev-python/spyder/spyder-5.5.0.ebuild
index 87236a608b31..685c3b6e7c0f 100644
--- a/dev-python/spyder/spyder-5.5.0.ebuild
+++ b/dev-python/spyder/spyder-5.5.0.ebuild
@@ -24,7 +24,7 @@ SRC_URI="
LICENSE="MIT"
SLOT="0"
-KEYWORDS=""
+KEYWORDS="~amd64 ~x86"
RDEPEND="
>=dev-python/atomicwrites-1.2.0[${PYTHON_USEDEP}]
diff --git a/dev-python/sqlglot/Manifest b/dev-python/sqlglot/Manifest
index 5ee0294dbe65..8cfe0bec16b3 100644
--- a/dev-python/sqlglot/Manifest
+++ b/dev-python/sqlglot/Manifest
@@ -5,3 +5,4 @@ DIST sqlglot-19.1.1.tar.gz 9031814 BLAKE2B 75430d912007d6edf3f045a21f68f35a3dd02
DIST sqlglot-19.1.2.tar.gz 9032813 BLAKE2B 5ed47175decfcdcdf116a5c8676a25f2682ea084d8ddab4c8c147939c159c8c9a2392ebf6466ee32609bb76b86ffe15cd2e7191948067d9ee11e3cdf135331a0 SHA512 e790aedc4c8e5907588e414334121eacfb57f317f06c6c61309a3d932bbb5a1696e2582c5c1cbe5f61a1a85087255dbbb1616dc2f8b19888f80055afc517731c
DIST sqlglot-19.1.3.tar.gz 9039849 BLAKE2B e60834db439b8b6d5d98d1b0cc25a67815b7961b255c2dc6f88072975fec209731f206611143a7287be6d1ef144722367cbbb35f4b7160df5158f5a4a1f2a8c8 SHA512 0d14a9ad56c10972a4141a7f185585d7cb9127f439313ccaca66a0ff225495c3d814747c66d427aaf6ee7c2de7d9959e8544d10071aa5ae05cf1f99018c642e2
DIST sqlglot-19.2.0.tar.gz 9042951 BLAKE2B fd9b70c76f7bcc1ba57bb935d5896de794a981214c23af48b20948d04b7110841ab5fb931aa541101635d723bdb6c395d983a856d598118586d1bc582e341be8 SHA512 4c50f8e7faac643f95c9f9fec6a9ecf797d5f1fa8d8dea10496a320a2a78ab1ba6a3349a47ab1bfca8adc3cb2ad795e56a27d6de7b77256dae65d8ce1a3a9c56
+DIST sqlglot-19.3.1.tar.gz 9054462 BLAKE2B ae44c5398cf976e5a624b01e2b9078275da43dfa6e0c4a112a1c5dcc6a2e5a6c5c84d0005911651b920c4e2ff09a668c10d55a56c843c2ba423fc456897647b5 SHA512 46375ff738bf2cd454e24dd789afff4318cb186c87c232613c5ec70694db526ec28dae853b59014eeef34a2b746e19cb418965c1bd55066bb1eee278f12895ea
diff --git a/dev-python/sqlglot/sqlglot-19.3.1.ebuild b/dev-python/sqlglot/sqlglot-19.3.1.ebuild
new file mode 100644
index 000000000000..ac53f7b0ad7d
--- /dev/null
+++ b/dev-python/sqlglot/sqlglot-19.3.1.ebuild
@@ -0,0 +1,36 @@
+# Copyright 2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1 pypi optfeature
+
+DESCRIPTION="An easily customizable SQL parser and transpiler"
+HOMEPAGE="
+ https://sqlglot.com/
+ https://github.com/tobymao/sqlglot/
+ https://pypi.org/project/sqlglot/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+EPYTEST_IGNORE=(
+ # Tests require pyspark or duckdb which aren't in the tree.
+ # Pandas would be a requirement normally, but it gets ignored by proxy.
+ "tests/dataframe/integration/test_dataframe.py"
+ "tests/dataframe/integration/test_grouped_data.py"
+ "tests/dataframe/integration/test_session.py"
+ "tests/test_executor.py"
+ "tests/test_optimizer.py"
+)
+
+distutils_enable_tests pytest
+
+pkg_postinst() {
+ optfeature "simplifying timedelta expressions" dev-python/python-dateutil
+}
diff --git a/dev-python/textX/Manifest b/dev-python/textX/Manifest
index a9dc1b2f25f9..852dcb38f387 100644
--- a/dev-python/textX/Manifest
+++ b/dev-python/textX/Manifest
@@ -1 +1,2 @@
DIST textX-3.1.1.gh.tar.gz 1824060 BLAKE2B 48c2faeaff52b9f4a3acd1cf36dabc5edc38bb264bd3efbddd2aacaf0aca80a50445a7b30716bd5acdae0219cc2c63fbe2b26c90923758a4fa2a0b9cffb71e65 SHA512 33fa803a5bc2b4cd3782790625304e952e52b64f8791ddbe0fef100b521b36aa8be5291a3cd467771bd9a2d32fac41209e7895a18cc7c4c0f9a672f0ec4211f4
+DIST textX-4.0.0.gh.tar.gz 1824285 BLAKE2B ad5b1f0e7b839ffeca4e5609f1ff9fd4d9828629a5da807870a7ff2ec2fdac35ac80c362086cc1ca037ce2ba37fc3a9ccff9bc9ce8e2c9db26562a9c26de0180 SHA512 137ce6ef24defcd38bf2a65fb87e79d5313dcf6ec6cd363712781870dacfd1328b52e6e5a4124fc607a7abb5a284821e300072c7087310953c652191d1b69991
diff --git a/dev-python/textX/files/textX-4.0.0-flit.patch b/dev-python/textX/files/textX-4.0.0-flit.patch
new file mode 100644
index 000000000000..da53f2c333de
--- /dev/null
+++ b/dev-python/textX/files/textX-4.0.0-flit.patch
@@ -0,0 +1,125 @@
+From aaac277940c70190c126f6775743c59226abd694 Mon Sep 17 00:00:00 2001
+From: Igor Dejanovic <igor.dejanovic@gmail.com>
+Date: Fri, 10 Nov 2023 22:13:36 +0100
+Subject: [PATCH] add flit-core as a build backend for test projects
+
+closes #418
+---
+ .../registration/projects/data_dsl/pyproject.toml | 7 ++++++-
+ .../registration/projects/flow_codegen/pyproject.toml | 7 ++++++-
+ .../registration/projects/flow_dsl/pyproject.toml | 7 ++++++-
+ .../registration/projects/types_dsl/pyproject.toml | 7 ++++++-
+ .../functional/subcommands/example_project/pyproject.toml | 7 ++++++-
+ 5 files changed, 30 insertions(+), 5 deletions(-)
+
+diff --git a/tests/functional/registration/projects/data_dsl/pyproject.toml b/tests/functional/registration/projects/data_dsl/pyproject.toml
+index 4db8e9e..15129a5 100644
+--- a/tests/functional/registration/projects/data_dsl/pyproject.toml
++++ b/tests/functional/registration/projects/data_dsl/pyproject.toml
+@@ -1,5 +1,6 @@
+ [project]
+-name = "data_dsl"
++name = "data-dsl"
++description = "Data DSL"
+ version = "1.0.0"
+
+ dependencies = [
+@@ -7,5 +8,9 @@ dependencies = [
+ "types_dsl"
+ ]
+
++[build-system]
++build-backend = "flit_core.buildapi"
++requires = ["flit_core >=3.8.0,<4"]
++
+ [project.entry-points.textx_languages]
+ data_dsl = "data_dsl:data_dsl"
+diff --git a/tests/functional/registration/projects/flow_codegen/pyproject.toml b/tests/functional/registration/projects/flow_codegen/pyproject.toml
+index 191a3b2..cec623f 100644
+--- a/tests/functional/registration/projects/flow_codegen/pyproject.toml
++++ b/tests/functional/registration/projects/flow_codegen/pyproject.toml
+@@ -1,5 +1,6 @@
+ [project]
+-name = "flow_codegen"
++name = "flow-codegen"
++description = "Flow code generator"
+ version = "1.0.0"
+
+ dependencies = [
+@@ -7,5 +8,9 @@ dependencies = [
+ "click"
+ ]
+
++[build-system]
++build-backend = "flit_core.buildapi"
++requires = ["flit_core >=3.8.0,<4"]
++
+ [project.entry-points.textx_generators]
+ flow_dsl_plantuml = "flow_codegen.generators:flow_pu"
+diff --git a/tests/functional/registration/projects/flow_dsl/pyproject.toml b/tests/functional/registration/projects/flow_dsl/pyproject.toml
+index e2ac207..5d57387 100644
+--- a/tests/functional/registration/projects/flow_dsl/pyproject.toml
++++ b/tests/functional/registration/projects/flow_dsl/pyproject.toml
+@@ -1,10 +1,15 @@
+ [project]
+-name = "flow_dsl"
++name = "flow-dsl"
++description = "Flow DSL"
+ version = "1.0.0"
+
+ dependencies = [
+ "textX"
+ ]
+
++[build-system]
++build-backend = "flit_core.buildapi"
++requires = ["flit_core >=3.8.0,<4"]
++
+ [project.entry-points.textx_languages]
+ flow_dsl = "flow_dsl:flow_dsl"
+diff --git a/tests/functional/registration/projects/types_dsl/pyproject.toml b/tests/functional/registration/projects/types_dsl/pyproject.toml
+index 345d964..9ca7cd3 100644
+--- a/tests/functional/registration/projects/types_dsl/pyproject.toml
++++ b/tests/functional/registration/projects/types_dsl/pyproject.toml
+@@ -1,10 +1,15 @@
+ [project]
+-name = "types_dsl"
++name = "types-dsl"
++description = "Types DSL"
+ version = "1.0.0"
+
+ dependencies = [
+ "textX"
+ ]
+
++[build-system]
++build-backend = "flit_core.buildapi"
++requires = ["flit_core >=3.8.0,<4"]
++
+ [project.entry-points.textx_languages]
+ types_dsl = "types_dsl:types_dsl"
+diff --git a/tests/functional/subcommands/example_project/pyproject.toml b/tests/functional/subcommands/example_project/pyproject.toml
+index 5ee7009..636065a 100644
+--- a/tests/functional/subcommands/example_project/pyproject.toml
++++ b/tests/functional/subcommands/example_project/pyproject.toml
+@@ -1,11 +1,16 @@
+ [project]
+-name = "textX-subcommand-test"
++name = "textx-subcommand-test"
++description = "Test project for textX subcommands"
+ version = "1.0.0"
+
+ dependencies = [
+ "textX"
+ ]
+
++[build-system]
++build-backend = "flit_core.buildapi"
++requires = ["flit_core >=3.8.0,<4"]
++
+ [project.entry-points.textx_commands]
+ testcommand = "textx_subcommand_test.cli:testcommand"
+ testgroup = "textx_subcommand_test.cli:create_testgroup"
+--
+2.42.1
+
diff --git a/dev-python/textX/textX-4.0.0.ebuild b/dev-python/textX/textX-4.0.0.ebuild
new file mode 100644
index 000000000000..be9246b905e9
--- /dev/null
+++ b/dev-python/textX/textX-4.0.0.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1
+
+DESCRIPTION="Meta-language for DSL implementation inspired by Xtext"
+HOMEPAGE="
+ https://pypi.org/project/textX/
+ https://github.com/textX/textX/
+"
+SRC_URI="
+ https://github.com/textX/textX/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ >=dev-python/Arpeggio-2.0.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/attrs[${PYTHON_USEDEP}]
+ dev-python/click[${PYTHON_USEDEP}]
+ dev-python/html5lib[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+PATCHES=(
+ "${FILESDIR}/${P}-flit.patch"
+)
+
+python_test() {
+ cp -a "${BUILD_DIR}"/{install,test} || die
+ local -x PATH=${BUILD_DIR}/test/usr/bin:${PATH}
+
+ # Update the shebang
+ sed -e "s:install/usr/bin/${EPYTHON}:test/usr/bin/${EPYTHON}:" \
+ -i "${BUILD_DIR}"/test/usr/bin/textx || die
+
+ # Install necessary plugins
+ local plugins=(
+ tests/functional/subcommands/example_project
+ tests/functional/registration/projects/*
+ )
+ local p
+ for p in "${plugins[@]}"; do
+ pushd "${p}" >/dev/null || die
+ distutils_pep517_install "${BUILD_DIR}"/test
+ popd >/dev/null || die
+ done
+
+ epytest tests/functional
+}
diff --git a/dev-python/trimesh/Manifest b/dev-python/trimesh/Manifest
index 923ab0a531fe..71ff4d05f881 100644
--- a/dev-python/trimesh/Manifest
+++ b/dev-python/trimesh/Manifest
@@ -3,3 +3,4 @@ DIST trimesh-4.0.0.gh.tar.gz 12921048 BLAKE2B 7592ba10b57aa5cafd47311a430f881cc1
DIST trimesh-4.0.1.gh.tar.gz 12922631 BLAKE2B 81cad4efea89c308f9cbb749b2515ed51f9fc87bbd37505ab94c08698f257c7f3a1b04e1b4a919bf529ee47d7531ecd605dd613c68b13fdaf853161811dfd1e6 SHA512 bfe56b3cfc94fcaa066b953e6df4c70da6fe9a99a6230d7201196a7df897a386c3425ad1da3cc7df75fa0d888fd05d07bf14e6b579a04dddab813c3858f904ef
DIST trimesh-4.0.2.gh.tar.gz 13433444 BLAKE2B a466adc4708e7f59cb7a64f3872df89888ad21a4f78520c5f109c101ea5d42973705e59807dd800058f3925744a30cc6ddd88fa498533f7e69255ba0c5d652e2 SHA512 7c0c8cbf40f03f4fd92156306f0a0d4d0a1dbf774c9a1743d63d82be2264b50915f2f6ea2cdebd0e81390e7f96acb47eca9980f3829311ec027706ef1cc143c0
DIST trimesh-4.0.3.gh.tar.gz 13434060 BLAKE2B 7777498fbf4fdfac221c6f6226e4c5554de593ff2c41877dd88df2e0f674dd4dcf8bb0e83fa4a9c81cc2ea0f970cc848ef1380b734231ba8965f61acde28678b SHA512 1eec21e3bcbc80f7ea939b16753ac24d45d750c176044d57a5c2217d46a1559478ab260147e82b1367df7dcb9ecf9aa11dda3a023ebb561f06578672bcc455d5
+DIST trimesh-4.0.4.gh.tar.gz 13434249 BLAKE2B 209ebbd8840e264bdde1aa6bf71b07910032ea3b577c4253cc66128761a2b1e1c9447c923d08108e36ddf5bf76ba67c90b728af4e18cea25882f78e4f252c18b SHA512 1135b626efc7559c2c127852f2947bf1d659b67a3bb16baf6d3fc795ab81baca1a57f035ce2ff0bdaa61709d0a21a160bbf425717037dd9662295e83894786bc
diff --git a/dev-python/trimesh/trimesh-4.0.4.ebuild b/dev-python/trimesh/trimesh-4.0.4.ebuild
new file mode 100644
index 000000000000..08d2352e8a3f
--- /dev/null
+++ b/dev-python/trimesh/trimesh-4.0.4.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1 optfeature
+
+DESCRIPTION="Python library for loading and using triangular meshes"
+HOMEPAGE="
+ https://trimesh.org/
+ https://github.com/mikedh/trimesh/
+ https://pypi.org/project/trimesh/
+"
+SRC_URI="
+ https://github.com/mikedh/${PN}/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+ dev-python/chardet[${PYTHON_USEDEP}]
+ dev-python/colorlog[${PYTHON_USEDEP}]
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ dev-python/lxml[${PYTHON_USEDEP}]
+ dev-python/networkx[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/pillow[${PYTHON_USEDEP}]
+ dev-python/pycollada[${PYTHON_USEDEP}]
+ dev-python/pyglet[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/scipy[${PYTHON_USEDEP}]
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ >=dev-python/shapely-1.8.2[${PYTHON_USEDEP}]
+ dev-python/svg-path[${PYTHON_USEDEP}]
+ dev-python/sympy[${PYTHON_USEDEP}]
+ dev-python/xxhash[${PYTHON_USEDEP}]
+ sci-libs/rtree[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mapbox_earcut[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+pkg_postinst() {
+ optfeature_header "${PN} functionality can be extended by installing the following packages:"
+ optfeature "making GUI applications with 3D stuff" dev-python/glooey
+ optfeature "2D triangulations of polygons" dev-python/mapbox_earcut
+ optfeature "loading a number of additional mesh formats" dev-python/meshio
+ optfeature "figuring out how much memory we have" dev-python/psutil
+ optfeature "marching cubes and other nice stuff" sci-libs/scikit-image
+}